DialSoft Presents...

Chit Chatters v2.0

Table of Contents:


      PART I .................................... Introduction 
      PART II ................................... Installation 
      PART III .................................. CNF Configuration
      PART IV ................................... DIALCC.CFG Configuration
      PART V .................................... Using Chit Chatters
      PART IV ................................... Troubleshooting



=====================
PART I - Introduction
=====================
Chit Chatters furnishes your system with up to 150 Global Chat Channels!
Users may use these channels to chat with other users from almost anywhere
on your system! (Anywhere Global Commands work, Chit Chatters work too!)

Chit Chatters is 100% compatible with The Major BBS 6.25 and Worldgroup
1.x and 2.x!

Chit Chatters comes with a FREE 14 day FULLY WORKING demo!  If you would
like to purchase a copy of Chit Chatters, it may be purchased from DialSoft
for $79.95:

			Voice: 1-(201)-586-1550

                          BBS: (201)-JUN-GLE8

                     Internet: jungle.net

                       e-mail: sysop@jungle.net

======================
PART II - Installation
======================
1) Unzip the DIACC???.ZIP into a temporary directory on your hard drive.
   (Where ??? corresponds to the version # of Chit Chatters)

2) Run the INSTALL program.

3) Select the appropriate SOURCE and TARGET directories and let the install
   program complete.

4) Configure CNF Levels 3, 4 and 6 to your desired settings.
   (See PART III for info)

5) Exit back to DOS!  Do NOT run the BBS or it WILL CATASTRO!!!

6) At the DOS prompt, copy the file 'dialcc.vcf' to 'dialcc.cfg'.
   To do so, type:
    C:\WGSERV> copy dialcc.vcf dialcc.cfg

     Note 1: Failure to perform this step will cause Chit Chatters to
             CATASTRO during BBS init!!!

     Note 2: DIALCC.VCF  is the Virgin Config File for DIALCC.CFG
                   (and DIALCC.CFG is a Chit Chatters CONFIGURATION FILE)

7) Carefully read PART IV (Configuring DIALCC.CFG)! Then edit your
   DIALCC.CFG file to your desired settings using your favorite text
   editor (such as EDIT.EXE).

   Note: Failure to properly configure this file may result in a BBS CATASTRO
         during BBS INIT!

8) Run the BBS and LOG ON.  Once on-line, type CHITCHAT. It is best to learn
   Chit Chatters from its on-line help as the module is COMPLETELY ON-LINE
   HELP based; however, Part V of this documentation file provides detailed
   information on USING Chit Chatters.

Installation Note 1:
If you run your BBS from REMOTE, it is HIGHLY recommended that you install
and configure Chit Chatters LOCALLY before installing it remotely.
Furthermore, when you do place it on line on your remote system, it is also
highly recommended that you have someone available at the CONSOLE should Chit
Chatters CATASTRO during BBS INIT.  (Chit Chatters is designed to CATASTRO
when certain error conditions occur).

Installation Note 2:
If the BBS CATASTRO's during BBS INIT, see Part VI on Troubleshooting
Chit Chatters.


==================================================
PART III - CNF Configuration (Levels 3 and 4 only)
==================================================
CNF Level 3:

ACTCODE:
Option to store your Chit Chatters ACTIVATION CODE.  Activation codes are
in the format:
   xxxxxxxxxx-mmddyyyy	for EXPIRING codes
             -or-
   xxxxxxxxxx			for PERMANENT codes
 
The 'xxxxxxxxxx' portion of the ACTIVATION code is comprised of LETTERS only!

If you have an EXPIRING ACTIVATION CODE, the 'mmddyyyy' portion represents
the expiration date.  It is entirely NUMBERS.

SEEINV  (Default Value = SYSOP):
This is the KEY NEEDED to see INVISIBLE USERS in various Chit Chatters
USER LISTS.  This is intended as a SYSOP function.

SEEFREQ  (Default Value=SYSOP):
This is the KEY NEEDED to see what FREQUENCIES other users have their Chit
Chatters tuned to.  This is intended as a SYSOP function.

SEEWELC (Default Value=NORMAL):
For those users who have access to at least 1 Chit Chatter channel, this
is the KEY NEEDED for users to see the Chit Chatters WELCOME MESSAGE.
The primary reason this feature has been KEY'd is some systems are
combination Entertainment and Business systems.  Some sysops prefer not to
bombard Business Customers with an exorbitant amount of LOGON information.
This option enables sysops to reduce what is shown to users via KEY.

SEEPLUS (Default Value=NORMAL):
This is the key to see the Chit Chatters Advanced Options menu.
Any user that has access to at least 1 Chit Chatter should be given access
to this command as well. However, if for some reason you do not want users
being able to see Advanced Options, you may control that capability with
this KEY.

SEEPRIV (Default Value=SYSOP):
Chit Chatters can display a LOGON and LOGOFF message to all on-line users
when an INDIVIDUAL USER logs on and shares at least one Chit Chatter with
another user. (Assume that a user called John Doe logs on.  Any user that
is tuned to AT LEAST ONE MATCHING CHIT CHATTER of John Doe can receive
notification of John Doe's arrival in any matching channel(s).  With that
said, John Doe may want to be able to LOG ON but NOT have notification of
his arrival be sent to other on-line users.)  Chit Chatters has a feature
that allows users to set their Chit Chatters LOGON/LOGOFF notifications
PRIVATE.  (You may DISABLE this feature).  When their notifications are
PRIVATE, on-line users do NOT get notified of users entering or exiting
their Chit Chatter channels, with ONE NOTABLE EXCEPTION:  Those holding
the SEEPRIV key see ALL notifications, regardless of what mode a user
sets his/her notifications to (i.e. PRIVATE or PUBLIC).

GAKEY (Default Value=NORMAL):
This is the KEY NEEDED to perform a Generic Action inside a Chit Chatter
channel.

LONKEY (Default Value=NORMAL):
This is the KEY NEEDED to use the Chit Chatters command that allows you to
adjust Chit Chatters LOGON notifications.  (The default name for this command
is CHITLON) (Thus, this is the KEY NEEDED to use the CHITLON command).

LOFKEY (Default Value=NORMAL):
This is the KEY NEEDED to use the Chit Chatters command that allows you to
adjust Chit Chatters LOGOFF notifications.  (The default name for this
command is CHITLOF) (Thus, this is the KEY NEEDED to use the CHITLOF command)

SETPUB (Default Value=NORMAL):
This is the KEY NEEDED to set your Chit Chatters LOGON and LOGOFF
NOTIFICATIONs as PUBLICLY viewable.

SETPRV (Default Value=NORMAL):
This is the KEY NEEDED to set your Chit Chatters LOGON and LOGOFF
NOTIFICATIONs as PRIVATE.  (Only those with the SEEPRV key will
be able to receive notification of your arrival during LOGON or LOGOFF).

CFGKEY (Default Value=SYSOP):
This is the KEY NEEDED to use the Chit Chatters command that allows you to
ON-LINE update the settings of the DIALCC.CFG file.  (This is the file that
stores Chit Chatters CHANNEL COMMAND NAMES, KEY NEEDED, and DEFAULT
FREQUENCIES). The default name for this command is CHITCFG.  (Thus, this is
the KEY NEEDED to use the CHITCFG command)


CNF Level 4:

SEENEW (Default Value=3):
This option allows you to configure the NUMBER OF TIMES users are shown the
Chit Chatters New User WELCOME MESSAGE.  This WELCOME MESSAGE notifies users
that they have access to an exciting and powerful new module called Chit
Chatters.  Initially this feature was hard coded to only show 1 time; however
at the request of a Sysop, the New User WELCOME MESSAGE can now be displayed
between 1 and 20 times.

DEFLON (Default Value=OFF)
This options allows you to configure the DEFAULT MODE for RECEIVING
Chit Chatters LOGON NOTIFICATIONS.  Options:
  ON 		Users will see Chit Chatters LOGON notifications by default  
  OFF           Users WON'T see Chit Chatters LOGON notifications by default
  DISABLE 	Disable Chit Chatters LOGON notifications altogether
 

DEFLOF (Default Value=OFF)
This options allows you to configure the DEFAULT MODE for RECEIVING
Chit Chatters LOGOFF NOTIFICATIONS.  Options:
  ON            Users will see Chit Chatters LOGOFF notifications by default  
  OFF           Users WON'T see Chit Chatters LOGOFF notifications by default
  DISABLE       Disable Chit Chatters LOGOFF notifications altogether

LONPRV (Default Value=PUBLIC):
If DEFLON is not set to 'DISABLE,' this option allows you to configure the
DEFAULT MODE for SENDING Chit Chatters LOGON NOTIFICATIONS.  Options:

  PUBLIC        Users Logon Notifications are PUBLICLY viewable to all other
                users
  PRIVATE       Users Logon Notifications are PRIVATE to all users except
                those who hold the SEEPRIV key
  DISABLE	Disable PUBLIC/PRIVATE selection of Logon Notifications.
                All users are PUBLIC to one another.

LOFPRV (Default Value=PUBLIC):
If DEFLOF is not set to 'DISABLE,' this option allows you to configure the
DEFAULT MODE for SENDING Chit Chatters LOGOFF NOTIFICATIONS.  Options:

  PUBLIC	Users Logoff Notifications are PUBLICLY viewable to all other
                users.
  PRIVATE	Users Logoff Notifications are PRIVATE to all users except
                those who hold the SEEPRIV key
  DISABLE	Disable PUBLIC/PRIVATE selection of Logoff Notifications.
                All users are PUBLIC to one another.

CHTCHAT (Default Value=CHITCHAT):
This is the COMMAND NAME to pull up the Chit Chatters INTRODUCTION MENU.
This menu provides users with basic information on how to use Chit Chatters.
It also lists out all Chit Chatter channels users can chat on.

CHTPLUS (Default Value=CHITPLUS):
This is the COMMAND NAME for the Chit Chatters ADVANCED OPTIONS MENU.

CHTFREQ (Default Value=CHITFREQ):
This is the COMMAND NAME to display what frequencies an on-line user has
his/her Chit Chatter channels tuned to.

CHTLIST (Default Value=CHITLIST):
This is the COMMAND NAME to display what frequencies ALL on-line users
have their Chit Chatter channels tuned to.

CHTLON (Default Value=CHITLON):
This is the COMMAND NAME to toggle Chit Chatters Logon Notification settings.

CHTLOF (Default Value=CHITLOF):
This is the COMMAND NAME to toggle Chit Chatters Logoff Notification settings.

CHTCFG (Default Value=CHITCFG):
This is the COMMAND NAME to perform an on-line update of the DIALCC.CFG
configuration file.

DICECMD (Default Value=DICE):
This is the COMMAND NAME to roll dice in a particular Chit Chatter Channel.

DICESPT (Default Value= , (comma)):
This is the SEPARATOR CHARACTER used in DICE ROLLING.  It separates the
NUMBER OF DICE from the NUMBER OF SIDES PER DIE.

  Example:  If the DICE command is 'dice' and you have a Chit Chatter Channel
            defined as the ] channel, various DICESPT settings are shown
            below:
                   ]dice x,y     if DICESPT is the COMMA (,)
                   ]dice x-y     if DICESPT is the HYPHEN (-)
                   ]dice x:y     if DICESPT is the COLON (:)
            (Where 'x' is the # of DICE, and 'y' is the # of sides per die)

DMSGCHR (Default Value= > (greater than symbol)):
This is the CHARACTER used to DIRECT A Chit Chatter MESSAGE to a specific
user who is tuned one fo your Chit Chatter channels.

GACMD (Default Value=ga):
This is the COMMAND NAME to perform a GENERIC ACTION in a particular Chit
Chatter Channel.



PART IV - DIALCC.CFG Configuration
DIALCC.CFG is a text file used to define your Chit Chatters channel settings.

Rules:
1) Any line starting with '<***>' (no quotes) is a COMMENT.
    Comment lines (and BLANK lines) are SKIPPED when DIALCC.CFG is read in.

2) The 1st VALID LINE (i.e. non-comment or non-blank line) must be the line:

           NUMCHAN = x          (where 'x' is a # between 1 and 150)

      This line defines the number of Chit Chatter channels you want on
      your system.

3) After the 'NUMCHAN = x' line, you may place more COMMENTS (via <***>)
   or BLANK LINES.  Neither are necessary.

4) The rest of the file need only contain 'x' # of lines of Chit Chatter
   channel data (where 'x' is the number you specified in 'NUMCHAN=x').

     Each Chit Chatter data line contains the following fields:

      [FIELD #1]  = Chit Chatter Channel Command Name (4 Characters Max)
      [FIELD #2]  = Key needed to use Chit Chatter defined in [FIELD #1]
      [FIELD #3]  = Default Frequency for Chit Chatter defined in [FIELD #1]
                    (See Note 1)
      [FIELD 4+]  = Any comments you wish to include about this line
                    (optional) (See Note 2)

     Each data line is to be typed in the format:
       [FIELD #1]  [FIELD #2]  [FIELD #3]  [FIELD 4+]

     Note 1: Frequency ranges are between 1 and 2147483647.  If you specify a 
             NEGATIVE value (i.e. -1 thru -2147483647), the Chit Chatter in
             [FIELD #1] will be OFF by default.  (Positive values are ON by
             default).

     Note 2: While [FIELD 4+] is not necessary, it is a good idea to use it
             to document which Chit Chatter number a given definition line
             pertains to.  This information is helpful in understanding Chit
             Chatter ERROR MESSAGES.


Sample DIALCC.CFG file:
-----------------------
NUMCHAN = 3
]] NORMAL  10   // CHANNEL 1
[[ NORMAL -20  // CHANNEL 2
;; SYSOP       30  // CHANNEL 3

Explanation of the above DIALCC.CFG file:
-----------------------------------------
a) There are a total of 3 Chit Chatter channels defined on the system.
   We know this because the line 'NUMCHAN = 3' defines this.

b) Each of the 3 Chit Chatter Channels was defined as follows:

    COMMAND NAME 	KEY NEEDED	DEFAULT FREQUENCY
    ]]                     NORMAL          10
    [[                     NORMAL          20 (See Note #1)
    ;;                     SYSOP           30

   Note #1:  The [[ channel has a DEFAULT FREQUENCY of 20; however,
             because it was defined as '-20' in the DIALCC.CFG file,
             the [[ channel will be OFF by default.  (The ]] and ;;
             channels will be ON by default)

c) Each line had a [FIELD4] in the form of  '// Channel x'   It is NOT
   necessary to include this information; however, we recommend doing so.
   It will be useful in understanding Chit Chatter ERROR MESSAGES.


What did the above DIALCC.CFG file do for me?
---------------------------------------------
Those users who have the NORMAL key can Globally Chat with each other on the
[[ and ]] channels!  Those who have the SYSOP key can chat with each other on
the ;; channel!

Note: For users to be able to chat with each other on a PARTICULAR Chit
      Chatter channel, all users who want to chat w/ each other must be
      tuned to the SAME FREQUENCY on that channel!

      Example:
      Assume the following:
        a) There are 5 users are on-line:
            Mike (who has the NORMAL and SYSOP keys)
            Kathy (who has the NORMAL and SYSOP keys)
            John (who only has the NORMAL key)
            Paula (who only has the NORMAL key)
            Steve (who only has the NORMAL key)

        b) Everybody has Chit Chatter ]] tuned to frequency 10.

        c) Mike, John and Paula have their [[ channel tuned to frequency 20.

        d) Kathy and Steve have their [[ channel tuned to frequency 30.

        e) Mike and Kathy have their ;; channel tuned to frequency 30.

      Here's who can chat, and how:
        a) Everybody can globally chat with each other on the ]] channel
        b) Mike, John and Paula can separately chat with each other on the
           [[ channel
        c) Kathy and Steve can separately chat with each other on the
           [[ channel
        e) Mike and Kathy can separately chat with each other on the
           ;; channel.
        f) John, Paula and Steve can not chat on the ;; channel at ALL
           as they don't have access to that channel.

============================
PART V - Using Chit Chatters
============================
Chit Chatters is a fairly straightforward module.  The most complex part
about the product is SETTING IT UP.  Before going into detailed usage, some
basic information will be provided first.

Understanding Terminology:
--------------------------
As you have already read, Chit Chatters allows you to define up to 150 Global
Chat CHANNELS.   Each channel is tunable to a FREQUENCY between
the values of 1 and 2147483647.  To be able to CHAT with other users via
Chit Chatters, all users who want to Chat with each other need to:
  a) Select a channel to CHAT ON
  b) Tune their selected channel to the SAME FREQUENCY as other users
      they would like to chat with!
In actuality, the CHANNEL is nothing more than a Sysop Definable 
GLOBAL COMMAND -- a command who's purpose is CHATTING!

You may think of a Chit Chatter CHANNEL as behaving like a variable
frequency WALKIE TALKIE.  Why?  Walkie Talkies are devices used
by (for example) security guards in malls.  When security guards want to
TALK to one another, they press a button on their walkie talkie, speak
into the microphone, and the walkie talkie transmits the sound at a certain
FREQUENCY!  Some walkie talkies have multiple "frequency" selections.
That is, there can be (for example) 10 security guards, 5 of whom are tuned
to frequency 950 Mhz, and the other 5 may be tuned to 970 Mhz.  The 
people at 950 Mhz WILL NOT be able to communicate with the people at 970 Mhz
and vice versa.  But they WILL be able to communicate with those people who
are on the same frequency as them!

Based on the Walkie Talkie analogy above, lets equate the components of
Chit Chatters to Walkie Talkies:

1) You may define up to 150 Chit Chatter CHANNELS.  Each CHANNEL may
     be considered a separate walkie talkie -- with one IMPORTANT difference:
     Unlike walkie talkies, tuning DIFFERENT Chit Chatter Channels to the
     SAME frequency does NOT allow communication between the two different
     Chit Chatter Channels.  Each Chit Chatter Channel is 100% independent
     every other Chit Chatter Channel, regardless of what frequency they may
     be set at! (If Mike has his !! channel tuned to frequency 100 and Kathy
     has her (( channel tuned to frequency 100 as well, Mike and Kathy
     WILL NOT be able to chat with each other via those two different
     CHANNELS!  They must tune the SAME CHANNEL to the SAME FREQUENCY).

2) To chat on a channel, users must set the SAME CHANNEL to the SAME
     FREQUENCY (and there are over 2 billion frequencies per channel).

3) To talk on a channel, a user need only type the Chit Chatter CHANNEL NAME
     followed by the message.  This is the equivalent of PUSHING THE BUTTON
     on a Walkie Talkie.

4) All users who are on the Channel and at the same frequency as the user in
    step 3 will see the CHAT TEXT!


Logging on for the FIRST TIME:
------------------------------
If you have just installed Chit Chatters on your BBS, any user that has
access to at least one Chit Chatter Channel (i.e. has the Key Needed to
use at least 1 Chit Chatter channel you have defined in DIALCC.CFG) will
see the Chit Chatters New User Welcome Message.  The default message is
a LARGE PURPLE BOX.  It has been designed like this in the hopes that it
will STAND OUT -- catch the reader's attention.  In this box, you are
informed that you have access to an exciting new module called Chit Chatters,
and that this module allows you to GLOBALLY CHAT with other on-line users
from almost ANYWHERE on the BBS.  You will also be told that to learn more
about this module, type CHITCHAT from any BBS prompt!

Commands:
---------
CHITCHAT - Typed by ITSELF, this is the command to pull up the MAIN Chit
Chatters introduction screen.  In this screen, you will see a brief
explanation of what Chit Chatters can do along with an example of how to use
a Chit Chatter Channel.  In the middle of the screen will be a listing of all
Chit Chatter Channels you have ACCESS to.  At the bottom of the screen, you
will see (in addition to some other information), a line that says:

CHITCHAT ON/OFF/DEF -	Turn ON, OFF, or RESET TO DEFAULT 
                        all your Chit Chatters

This means that if you type:
----------------------------
CHITCHAT ON -	You will turn ON ALL your Chit Chatter Channels to their
                last known frequency settings.
CHITCHAT OFF-	You will turn OFF ALL your Chit Chatter Channels to their
                current frequency settings.
CHITCHAT DEF-	You will reset all your Chit Chatter Channels to BOTH their
                default frequencies and their default MODES.  (DIALCC.CFG
                lets you configure the DEFAULT MODE of each channel
                as ON or OFF by specifying a POSITIVE FRQUENCY if
                a channel's default mode is ON, NEGATIVE for OFF.

CHITPLUS - This command pulls up a MENU of Chit Chatters Advanced User
options.  The commands listed in this menu vary depending on what KEYS a user
holds.  (Some of the descriptions for each command vary as well for the same
reason.  This will be explained shortly).  The CHITPLUS menu may display the
following commands:
  CHITCHAT, CHITFREQ, CHITLIST, CHITLON, CHITLOF, CHITCFG, and CHITPLUS

CHITFREQ - When typed alone, this command displays which Chit Chatter
channels you have access to, and what frequencies each channel is tuned too
(or the word 'OFF' if a Channel is turned off).  For those who have the key
defined in CNF LEVEL 3, SEEFREQ, they may type CHITFREQ <userid> to pull up
the Channel/Frequency settings of any other on-line user. (They will also see
additional DESCRIPTION information about this CHITFREQ capability in the
CHITPLUS menu.)

CHITLIST - This command lists the Channels and Frequency settings of ALL 
on-line users.  The output looks very similar to the CHITFREQ command, except
for the fact that CHITFREQ shows the output of only 1 user at a time whereas
CHITLIST shows the output of ALL on-line users.   To use this command, you
must have the SEEFREQ key (CNF Level 3).

CHITLON - This is the command used to configure each user's Chit Chatters
LOGON MESSAGE modes.  Depending on what you have configured in CNF
Level 4, the CHITLON may not have all "modes" available.  For that matter, if
you have DISABLED Chit Chatters LOGON messages, this command will not
exist.   There are TWO MODES:  Receive Mode and Send Mode

Receive Mode - ON or OFF: This mode allows users to configure whether or
not they want to RECEIVE notification of other users who log in and are tuned
to at least 1 identical Chit Chatter Channel at the same Frequency.
	Example:
	John is on-line with the following Chit Chatter Channel settings:
		Channel		Frequency
                [[                  123
                ]]                  80002
                ;;                  1
                --                  900

	Mary logs on.  She's got the following settings:
		Channel		Frequency
                [[                  25
                ]]                  80002
                ;;                  7239434
                --                  900

	If John has his Chit Chatters Logon Receive mode ON, he will be
	notified that Mary has just joined him in the "]] and --" channels!
        If his notifications are OFF, he will not receive any notification!

Send Mode - PUBLIC or PRIVATE:  This mode, if not disabled in CNF, allows
users to configure whether or not other on-line users can be NOTIFIED of
their arrival!  PUBLIC mode means that other users are allowed to see Chit
Chatters LOGON Notification.  PRIVATE mode means that other users are NOT
allowed to see Chit Chatters Logon Notification - with ONE NOTABLE EXCEPTION:
Those who hold the CNF Level 3 Key 'SEEPRIV' will be allowed to see Logon
Notifications of users who set their SEND MODE to PRIVATE.
       Thus, in the ABOVE EXAMPLE, if Mary had her SEND mode set to
       PRIVATE, if John didn't have the SEEPRIV key, he would not have
       seen the Chit Chatters notification of Mary's arrival, regardless
       of the fact that he may have had his RECEIVE MODE as ON.

CHITLOF - This command is identical in every respect to the CHITLON
command except that it applies to LOGOFF notifications rather than LOGON
notifications.

CHITCFG - This command allows you to perform an on-line RELOAD of
your DIALCC.CFG file.  This enables you to on-line modify all your Chit
Chatter Channel COMMAND NAMES, KEY NEEDED, and DEFAULT
FREQUENCY settings!  To clarify, CHITCFG only performs a RELOAD of
the DIALCC.CFG file!  It does not provide any editing capabilities!  (You
need to edit the file on an OFF-LINE system and upload it to the BBS
machine). To use this command, you must have the CNF Level 3 key
CFGKEY.  A few notes about this command:
  1)  Typing CHITCFG by itself provides basic information about the
      command.
  2)  To perform a RELOAD of DIALCC.CFG, type: CHITCFG GO
  3)  If there are any errors in your new DIALCC.CFG file:
          a) Chit Chatters will try and provide you with the reason for
             the error(s)
          b) No new settings will be used!  (i.e. Whatever your settings
             were before typing 'CHITCFG GO' will remain the same).
   4) You may receive a WARNING Message if you INCREASE the
      number Chit Chatter Channels defined in the 'NUMCHAN=x'
      line of DIALCC.CFG.   Your new settings WILL take effect;
      however, you will not have your additional channels available
      until the BBS resets.  The reason for this is:
        Chit Chatters allocates all its MEMORY during BBS INIT.
        While it is possible to allocate additional memory while the
        BBS is up, it reduces the risk of BBS crashes by NOT doing so.

        Example:
        If the BBS comes up with 10 Chit Chatter channels defined and you
        modify your DIALCC.CFG file to contain 15 channels, when you
        type CHITCFG GO, only the first 10 channels will be read in!  The
        next time the BBS resets, you will have all 15 Chit Chatter channels
        available!


And finally.... Chatting with Chit Chatters!!!
----------------------------------------------
To explain how to Chat w/ Chit Chatters, a series of Scenarios will be
presented. Please assume the following for the next discussion:

There are 4 Chit Chatter Channels defined on your BBS:

Channel Name		Key Needed		Default Frequency
     !!                    NORMAL                 -100
     ((                    NORMAL                  50
     **                    STAFF                   5551212
     $$                    SYSOP                   100

- Those who have the NORMAL key can chat on Chit Chatters: !! and ((
- Those who have the STAFF key can chat on Chit Chatter: **
- Those who have the SYSOP key can chat on Chit Chatters: $$
- Those who have ALL 3 keys can chat on Chit Chatters: !! ((  ** and $$

Lets assume the following users are on-line:
Mike		who has the NORMAL key
Mary		who has the NORMAL key
Helper		who has the NORMAL and STAFF keys
Sysop		who has the NORMAL, STAFF and SYSOP keys
Cosysop	who has the NORMAL, STAFF and SYSOP keys

Everybody above can chat on the !! and (( channels!
Helper, Sysop and Cosysop can chat on the ** channel.
Sysop and Cosysop can chat on the $$ channel!

Scenario #1:
------------
Mike and Mary want to carry on a private conversation on the !! channel.
They decide to tune that channel to a frequency of 890123.  To do so,
they each type:    !!=890123

Now they can Chat on the !! channel!  To do so, they simply need to type:
!!<message>.  For example, assume Mike types: !!Hi Mary, how are you?
The output that BOTH Mary and Mike will see is:
[!!] (890123) Mike: Hi Mary, how are you?

Mary responds by typing: !!I'm fine!  This is a great way to chat!
Mike and Mary BOTH see:
[!!] (890123) Mary: I'm fine!  This is a great way to chat!

A few notes about the above:
1) Notice that the Channel the two users are talking on appears inside
   BRACKETS on the LEFTMOST PORTION of the output line.  ([!!] in this case).
2) The next field displayed is the FREQUENCY that the channel being chatted
   on is tuned to.  (890123 in this case).
3) The next field is the USER-ID sending the message
4) Finally the MESSAGE itself is displayed.

Scenario #2 - Mike gets Fancy:
------------------------------
Being a curious person, Mike plays around with Chit Chatters.  He types !!
by itself.  Instantly he sees a list of all users who are tuned to the !!
channel at frequency 890123.  In this case, only Mary and Mike are in that
list.  One thing he sees however, is a note at the bottom of the list.  It
says to type !!? for additional information.  He does so and learns there
are other features in Chit Chatters.  

Case 1: Mike types:
!!>Mary Check this out!  
The output is:
[!!] (890123) From Mike to (Mary): Check this out!

Case 2:  Mike types:
!!ga thinks Chit Chatters should be on EVERY BBS!
The output is:
[!!] (890123) Mike thinks Chit Chatters should be on EVERY BBS!

Case 3: Mike types:
!!dice 25,999
The output is:
[!!] (890123) Mike rolls <25> 999-sided dice and gets: 961, 356, 895, 395,
178, 565, 224, 323, 700, 380, 237, 547, 93, 359, 162, 414, 867, 585, 321,
338, 404, 459, 134, 420, 488, for a total of: >>10805<<

What happened in Cases 1, 2 and 3?
Case 1:  DIRECTED MESSAGES  -  Mike directed his message to Mary
         by typing the Chit Chatter Channel Name (!!) followed by the
         > (Greater Than) Symbol, followed by the user-id, and then
         finally the message!  (Note: You may specify a PARTIAL or
         COMPLETE user-id!)

Case 2:  GENERIC ACTIONS - Mike sent a GENERIC ACTION on the
         (!!) channel by typing the phrase 'ga' after the !!
         Chit Chatter Channel.

Case 3:  DICE ROLLING - Mike used the Chit Chatters DICE ROLL feature
         to roll 25 dice (each w/ 999 sides) on the !! channel.  This feature
         is useful for users participating in on-line Roll Playing Games.

In all 3 cases, the only users who saw output (in this case) were Mike and
Mary. Why?  They were the only ones tuned to the !! channel at frequency
890123.

Scenario #3 - Other features:
-----------------------------
1) Those who have the CNF Level 3 key SEEFREQ may type any Chit Chatter
Channel name followed by the # symbol to see a list of what frequencies all
on-line users are tuned too on the Chit Chatter Channel selected.

For example, if Sysop typed:  !!#
The output may look like:
                         Users on Chit Chatter: !!
----------------------------------------------------------------------------
	Mike				- 890123
	Mary				- 890123
	Helper				- [OFF]
	Sysop				- 100
        Cosysop                         - 100

               Type !!? for a menu of additional options
----------------------------------------------------------------------------

2) Mike decides to type: !!=off.  The next time Sysop types !!#,
    the output would be:
                         Users on Chit Chatter: !!
----------------------------------------------------------------------------
	Mike				- [OFF]
	Mary				- 890123
	Helper				- [OFF]
	Sysop				- 100
        Cosysop                         - 100

               Type !!? for a menu of additional options
----------------------------------------------------------------------------

3) If Mike then types: !!=def, his !! channel will be set to the DEFAULT
    FREQUENCY of the !! channel.  Because the default frequency for
    !! is negative, Mike's !! channel will be OFF. 

4) If Mike decides to type !!=on, his !! channel will be turned ON at
    frequency 100!  Thus, if Sysop then types: !!#, the output will be:
                         Users on Chit Chatter: !!
----------------------------------------------------------------------------
	Mike				- 100
	Mary				- 890123
	Helper				- [OFF]
	Sysop				- 100
        Cosysop                         - 100

               Type !!? for a menu of additional options
----------------------------------------------------------------------------

5) If Mike then types !!=411, his !! channel will be tuned to frequency
    411.  If Sysop then types !!#, the output will be:
                         Users on Chit Chatter: !!
----------------------------------------------------------------------------
	Mike				- 411
	Mary				- 890123
	Helper				- [OFF]
	Sysop				- 100
        Cosysop                         - 100

               Type !!? for a menu of additional options
----------------------------------------------------------------------------


In a Nutshell (Using !! as a sample channel):
---------------------------------------------
!!=off	will turn the !! channel OFF at its current frequency
	(!!=0 is a shortcut for typing !!=off)

!!=on	will turn the !! channel ON at the LAST FREQUENCY it was set to

!!=def	will set the !! channel to its DEFAULT FREQUENCY and MODE!

!!	will display a list of all users who are tuned to the !! channel at
        the same frequency as YOU.

!!#	will display a list of all users who have access to the !! channel
	and what frequency they have that channel tuned to (if their !!
	channel is ON)

!!<message>	will display <message> on the !! channel

!!>(uid) <msg>  will display a DIRECTED MESSAGE to a user

!!ga <msg>	will display a GENERIC ACTION on the !! channel

!!dice x,y	will roll 'x' number of 'y' sided dice on the !! channel

!!?	will display a MENU of SOME or ALL the above options
	(It depends on what KEYS a user has.  For example, !!# 
	 is only displayed to users with the SEEFREQ key)

Information about INVISIBLE users:
----------------------------------
Chit Chatters has been designed to allow INVISIBLE users to CHAT on
Chit Chatter channels with both VISIBLE and INVISIBLE users.  This
feature allows 'lurking sysops' (for example) to easily chat with SOME
on-line users while not letting the majority of users know that a Sysop
is lurking.  Take the !! channel for a moment.  Assume user id's Mike
and Sysop both have their !! channel tuned to the same frequency:

If Sysop in INVISIBLE and Mike (who doesn't have access to see
invisible users) types !! to see a list of users on the !! channel, Mike
will NOT see Sysop in the user list.  However, if Sysop chats on the
!! channel, Mike WILL SEE any chat dialogue Sysop sends.

For that matter, Sysop will be able to DIRECT MESSAGES to Mike;
however, Mike will NOT be able to DIRECT MESSAGES to Sysop
(until Sysop goes VISIBLE).

Thus, the only way a normal user can tell if an INVISIBLE SYSOP is
tuned to any of his/her Chit Chatter Channels is if the INVISIBLE SYSOP
types something on the channel!  Thus, Chit Chatters enables Sysops to
safely monitor the activity in Chit Chatter Channels without normal users
knowing this is happening.

Some Final Thoughts:
--------------------
1) One of the most frequently asked questions about Chit Chatters is: 
    Q:	Can users /INVITE and /FORGET 'annoying/problematic'
	users from their Chit Chatter channels
    A:	No, because:  Each Chit Chatter channel is tunable to over
	2 billion frequencies!  If a group of users want to "get away"
	from another user, they can collectively /p each other to switch
	to another frequency!  The probability of the annoying user
	guessing the NEW FREQUENCY is very very slim!

2) Something I failed to make clear in this entire document is that users
can carry on multiple conversations by chatting in MULTIPLE CHIT
CHATTER CHANNELS!  If you recall, Chit Chatter Channel names
are nothing more than Global Commands!  Users can use any Global
Commands they have access to.

Restating sample data from above, based on the following:
	Channel Name		Key Needed		Default Frequency
             !!                    NORMAL                 -100
             ((                    NORMAL                  50
             **                    STAFF                   5551212
             $$                    SYSOP                   100

	Lets assume the following users are on-line:
	Mike		who has the NORMAL key
	Mary		who has the NORMAL key
	Helper		who has the NORMAL and STAFF keys
	Sysop		who has the NORMAL, STAFF and SYSOP keys
	Cosysop		who has the NORMAL, STAFF and SYSOP keys

Thus:
- Mike and Mary can carry simultaneous conversations in both the !! and ((
  channels!
- Helper can carry simultaneous conversations in the !! (( and ** channels!
- Sysop and Cosysop can  carry simultaneous conversations in the !! (( ** and
  $$ channels!

A note about World Group:
-------------------------
Chit Chatters currently operates in Ascii/Ansi mode only!   C/S users who are
on-line will not "conflict" with A/A users.  They will simply be considered
as either having all their channels OFF, or as not having access to Chit
Chatters (until they drop to A/A mode).

=========================
PART VI - Troubleshooting
=========================
This section covers Chit Chatters CATASTRO error message in reference to 
the DIALCC.CFG configuration file.

All Chit Chatter Catastro Error messages start with the text:
DIALCC.CFG (ERR#)  where ERR# is ERR1 - ERR7.

All appropriate CATASTRO error messages provide some form of "LOCATING"
information to help you determine WHERE in DIALCC.CFG the CATASTRO occurred:

ERR1 - File Not Found
Chit Chatters couldn't find the DIALCC.CFG file in your BBS's main directory
(BBSV6 or WGSERV).  Copy the DIALCC.VCF file to DIALCC.CFG if needed.

ERR2 - Invalid # of Channels
The # of channels listed after "NUMCHAN = " is one of the following:
  - Blank
  - A number less than 1 (0 or NEGATIVE #)
  - A 'non-numeric' value!
Note: Any NUMERIC values above the MAXIMUM # of Chit Chatter Channels
allowed are REDUCED to the MAXIMUM (150 channels in this case). An AUDIT
TRAIL entry is made when this occurs.

ERR3 - NUMCHAN = # is missing!
The definition for "NUMCHAN=#" was NOT FOUND in your DIALCC.CFG!

ERR4 - NUMCHAN = # is possibly MISSING or OUT OF ORDER!
This generally occurs when Chit Chatters has detected what appears to be
CHANNEL DATA DEFINITIONS before "NUMCHAN = #" was read in!

ERR5 - Unknown/Invalid Line!
A line was found that is NOT a comment and is NOT in the format of a
VALID DIALCC.CFG line!
Note 1: Listing 'NUMCHAN = #' more than ONCE inside the file is one way
             to produce this error!)
Note 2: You are shown the LINE OF TEXT that was read in from DIALCC.CFG
             that resulted in this error.  Load DIALCC.CFG into a text
             editor and search for the LINE OF TEXT.  This will enable
             you to quickly correct your mistake.

ERR6 - Too few DATA LINES found
You have defined 'x' number of DATA LINES in your "NUMCHAN = x" command;
however, fewer than 'x' # of data lines were found!

ERR7 - Invalid Frequency!
The "DEFAULT FREQUENCY" definition in the DATA being read was either
BLANK, not NUMERIC, or 0 (and 0 is an INVALID default frequency).
You are told the Channel # of the data line that was just attempted
i.e. This 'Channel #' is what you could list in [FIELD 4+] of each Chit
     Chatter data definition line!                            

